# Interface Connector

All Known Implementing Classes:
  `ConnectorImpl`

public interface Connector

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`RequestInfo`
`getRequestInfo()`
`ThreadInfo`
`getThreadInfo()`
`Workers`
`getWorkers()`
`void`
`setName(String value)`
`void`
`setRequestInfo(RequestInfo value)`
`void`
`setThreadInfo(ThreadInfo value)`
`void`
`setWorkers(Workers value)`

## Method Details

### getThreadInfo

ThreadInfo getThreadInfo()

### setThreadInfo

void setThreadInfo(ThreadInfo value)

### getRequestInfo

RequestInfo getRequestInfo()

### setRequestInfo

void setRequestInfo(RequestInfo value)

### getWorkers

Workers getWorkers()

### setWorkers

void setWorkers(Workers value)

### getName

String getName()

### setName

void setName(String value)